
Redmine - Defect #8251

Classic Theme: Missed base line

2011-04-29 08:24 - Anton Lem

Status: Closed Start date: 2011-04-29

Priority: Low Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Themes Estimated time: 0.00 hour

Target version: 4.0.8   

Resolution: Fixed Affected version: 1.1.2

Description

Tab Control in Classic Theme is looking like this tabs1.gif , without bottom base line.

It seems to me, it designed to look like this tabs2.gif 

Associated revisions

Revision 19841 - 2020-06-29 01:36 - Go MAEDA

Classic Theme: Missed base line (#8251).

Patch by Mizuki ISHIKAWA.

Revision 19842 - 2020-06-29 11:12 - Go MAEDA

Merged r19841 from trunk to 4.1-stable (#8251).

Revision 19843 - 2020-06-29 11:14 - Go MAEDA

Merged r19841 from trunk to 4.0-stable (#8251).

History

#1 - 2011-04-29 23:00 - Mischa The Evil

- File tabs2-altered.gif added

I think it was designed rather a bit different, looking like this:

 tabs2-altered.gif 

What do you think?

#2 - 2011-05-03 11:29 - Anton Lem

You are absolutely right! I attached my image only for example.

#3 - 2011-05-03 20:03 - johann sebatian

- Assignee set to johann sebatian

#4 - 2020-06-10 02:06 - Mizuki ISHIKAWA

- File ScreenShot-2020-06-10-9.02.59.png added

If you delete the line as below, it will look like the screenshot.

diff --git a/public/themes/classic/stylesheets/application.css b/public/themes/classic/stylesheets/application

.css

index 523104dcb..5104626b0 100644

--- a/public/themes/classic/stylesheets/application.css

+++ b/public/themes/classic/stylesheets/application.css

@@ -29,7 +29,6 @@ body{ color:#303030; background:#e8eaec; }

 #main a { font-weight: bold; color: #467aa7;}

 #main a:hover { color: #2a5a8a; text-decoration: underline; }

 #content { background: #fff; }

-#content .tabs ul { bottom:-1px; }
 h2, h3, h4, .wiki h1, .wiki h2, .wiki h3 { border-bottom: 0px; color:#606060; font-family: Trebuchet MS,Georg

ia,"Times New Roman",serif; }

 h2, .wiki h1 { letter-spacing:-1px; }

  ScreenShot-2020-06-10-9.02.59.png 

#5 - 2020-06-10 04:11 - Go MAEDA

- Status changed from New to Confirmed

- Assignee deleted (johann sebatian)

- Target version set to Candidate for next major release

#6 - 2020-06-11 15:51 - Go MAEDA

- Target version changed from Candidate for next major release to 4.0.8

LGTM. Setting the target version to 4.0.8.

#7 - 2020-06-12 04:47 - Mischa The Evil

Wow, that's a throwback in time...

Go MAEDA wrote:

LGTM.

 I agree, but only as long as it does not come with unintended side-effects in other parts of the UI.

#8 - 2020-06-12 10:58 - Go MAEDA

Mischa The Evil wrote:

I agree, but only as long as it does not come with unintended side-effects in other parts of the UI.

 I have looked tabs in pages generated from the following templates and didn't find problems.

app/views/custom_fields/index.html.erb

app/views/groups/edit.html.erb

app/views/issues/show.html.erb

app/views/projects/settings.html.erb

app/views/repositories/_changeset.html.erb

app/views/settings/edit.html.erb

app/views/timelog/_date_range.html.erb

app/views/users/edit.html.erb

app/views/workflows/edit.html.erb

app/views/workflows/permissions.html.erb

#9 - 2020-06-29 01:36 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#10 - 2020-06-29 11:14 - Go MAEDA

- Status changed from Resolved to Closed

Files

tabs1.gif 5.77 KB 2011-04-29 Anton Lem

tabs2.gif 5.82 KB 2011-04-29 Anton Lem
Powered by TCPDF (www.tcpdf.org)

2024-03-13 2/2

http://www.tcpdf.org

